#include "inc.h"

static int inc_ctr = -1, limit = 0;

int
inc_entry (void)
{
	if (inc_ctr == -1)
		return (0);

	/* compare limit with number of steps already taken */
	if (inc_ctr++ >= limit) {
		printf ("hit the limit\n");
		return (1);
	}

	return (0);
}

void
inc_init (int count)
{
	printf ("starting incremental debugging\n");

	inc_ctr = 0;
	limit = count;
}

void
inc_reset (void)
{
	inc_ctr = -1;
	limit = 0;
}

int
inc_in_progress (void)
{
	return (inc_ctr != -1);
}
